Package be.fgov.ehealth.dics.protocol.v5

# Class FindReimbursementRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.dics.protocol.v5.DicsRequestType
be.fgov.ehealth.dics.protocol.v5.FindReimbursementRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class FindReimbursementRequest extends DicsRequestType implements Serializable

Java class for FindReimbursementRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindReimbursementRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
           <choice>
             <element name="FindByPackage" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByPackageType"/>
             <element name="FindByDmpp" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByDmppType"/>
             <element name="FindByLegalReferencePath" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FindByGenericPrescriptionGroup" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByGenericPrescriptionGroupType"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindReimbursementRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindByDmppType`
  `getFindByDmpp()`
  Find Reimbursement Contexts based on a DMPP (CNK code).
  `FindByGenericPrescriptionGroupType`
  `getFindByGenericPrescriptionGroup()`
  Find the packages corresponding to the matching GenericPrescriptionGroup, get their corresponding CNK codes, return the reimbursement contexts associated with these CNK codes.
  `String`
  `getFindByLegalReferencePath()`
  Find Reimbursement Contexts based on a Legal Reference Path.
  `FindByPackageType`
  `getFindByPackage()`
  Find the CNK codes corresponding to the matching packages, return the reimbursement contexts associated with these CNK codes.
  `void`
  `setFindByDmpp(FindByDmppType value)`
  Sets the value of the findByDmpp property.
  `void`
  `setFindByGenericPrescriptionGroup(FindByGenericPrescriptionGroupType value)`
  Sets the value of the findByGenericPrescriptionGroup property.
  `void`
  `setFindByLegalReferencePath(String value)`
  Sets the value of the findByLegalReferencePath property.
  `void`
  `setFindByPackage(FindByPackageType value)`
  Sets the value of the findByPackage property.

  ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType

  `getSearchDate, setSearchDate`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindReimbursementRequest

    public FindReimbursementRequest()

- ## Method Details

  - ### getFindByGenericPrescriptionGroup

    public FindByGenericPrescriptionGroupType getFindByGenericPrescriptionGroup()
    Find the packages corresponding to the matching GenericPrescriptionGroup, get their corresponding CNK codes, return the reimbursement contexts associated with these CNK codes.
    Returns:
      possible object is `FindByGenericPrescriptionGroupType`

  - ### setFindByGenericPrescriptionGroup

    public void setFindByGenericPrescriptionGroup(FindByGenericPrescriptionGroupType value)
    Sets the value of the findByGenericPrescriptionGroup property.
    Parameters:
      `value` - allowed object is `FindByGenericPrescriptionGroupType`
    See Also:
      - `getFindByGenericPrescriptionGroup()`

  - ### getFindByLegalReferencePath

    public String getFindByLegalReferencePath()
    Find Reimbursement Contexts based on a Legal Reference Path.
    Returns:
      possible object is `String`

  - ### setFindByLegalReferencePath

    public void setFindByLegalReferencePath(String value)
    Sets the value of the findByLegalReferencePath property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getFindByLegalReferencePath()`

  - ### getFindByDmpp

    public FindByDmppType getFindByDmpp()
    Find Reimbursement Contexts based on a DMPP (CNK code).
    Returns:
      possible object is `FindByDmppType`

  - ### setFindByDmpp

    public void setFindByDmpp(FindByDmppType value)
    Sets the value of the findByDmpp property.
    Parameters:
      `value` - allowed object is `FindByDmppType`
    See Also:
      - `getFindByDmpp()`

  - ### getFindByPackage

    public FindByPackageType getFindByPackage()
    Find the CNK codes corresponding to the matching packages, return the reimbursement contexts associated with these CNK codes.
    Returns:
      possible object is `FindByPackageType`

  - ### setFindByPackage

    public void setFindByPackage(FindByPackageType value)
    Sets the value of the findByPackage property.
    Parameters:
      `value` - allowed object is `FindByPackageType`
    See Also:
      - `getFindByPackage()`